PATCH COMMITTED: gcc 4.2 support for -Wstrict-overflow/-fstrict-overflow

Ian Lance Taylor iant@google.com
Mon Mar 12 17:53:00 GMT 2007


Eric Botcazou <ebotcazou@libertysurf.fr> writes:

> > I have just committed the gcc 4.2 patch which adds support for
> > -Wstrict-overflow and -fstrict-overflow, as previously approved.  A
> > bunch of testing was required.
> 
> Not enough apparently. :-)  I get this on x86-64/Linux:
> 
> gcc   -g -fkeep-inline-functions -DIN_GCC   -W -Wall -Wwrite-strings 
> -Wstrict-prototypes -Wmissing-prototypes -Wmissing-format-attribute 
> -fno-common   -DHAVE_CONFIG_H  -o xgcc gcc.o opts-common.o gcc-options.o 
> gccspec.o \
>   intl.o prefix.o version.o 
> driver-i386.o  ../libcpp/libcpp.a   ../libiberty/libiberty.a ../libdecnumber/libdecnumber.a
> gcc.o(.text+0x128): In function `issue_strict_overflow_warning':
> /home/eric/svn/gcc-4_2-branch/gcc/flags.h:347: undefined reference to 
> `warn_strict_overflow'
> collect2: ld returned 1 exit status
> make[3]: *** [xgcc] Error 1

Very odd--must have something to do with the compiler version I use to
start the bootstrap.  Richard, thanks for fixing it.

Ian



More information about the Gcc-patches mailing list